Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06151 DIP/Input Major Always Mar 5, 2016, 21:54 Jun 10, 2016, 05:15
Tester vvv View Status Public Platform MAME (Official Binary)
Assigned To Quench Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.171 Fixed in Version 0.174 Build Normal
Summary 06151: MAME fails to accept input from XBCD-supported joysticks with DirectInput 8
Description The input module detects the joystick, but it does not react in any way to joystick input when attempting to bind the buttons.

It appears to be driver/device-specific, as the PS3-compatible joystick I have works just fine with official 171 build.
Steps To Reproduce
Additional Information Attached is the OSD debug log for all of those (Windows 7 64-bit is used).

With MAME 171 official build (does not work):
Input: Adding Mouse #0: HID-compliant mouse
Input: Adding Gun #0: HID-compliant mouse
Input: Adding Kbd #0: HID Keyboard Device
DirectInput: Using DirectInput 8
Input: Adding Joy #0: XBCD Hori Real Arcade Pro VX SA

With git MAME (892233c4d4560d6821e9a7e371f35bbca4c2e723) (does not work):
RawInput: APIs detected
RawInput: APIs detected
DirectInput: Using DirectInput 8
DirectSound: Primary buffer: 48000 Hz, 16 bits, 2 channels
Input: Adding Kbd #0: HID Keyboard Device
Input: Adding Mouse #0: HID-compliant mouse
Input: Adding Gun #0: Win32 Gun 1
Input: Adding Joy #0: XBCD Hori Real Arcade Pro VX SA

With git MAME (892233c4d4560d6821e9a7e371f35bbca4c2e723) built with DirectInput 7 (works):
RawInput: APIs detected
RawInput: APIs detected
DirectInput: Using DirectInput 7
DirectSound: Primary buffer: 48000 Hz, 16 bits, 2 channels
Input: Adding Kbd #0: HID Keyboard Device
Input: Adding Mouse #0: HID-compliant mouse
Input: Adding Gun #0: Win32 Gun 1
Input: Adding Joy #0: XBCD Hori Real Arcade Pro VX SA
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.12457
hap
Developer
Mar 11, 2016, 10:24
edited on: Mar 14, 2016, 01:19
I assume the issue I'm seeing is related to this.
On Windows 10 64bit, using an Xbox One gamepad. If I focus to another window, then back to MAME and open the OSD menu(TAB key), the cursor will move down-right by itself or get stuck. It appears MAME thinks the left analog stick is pointing to down-right.

MAMEdev Kale confirmed this problem too, also Xbox One pad.

*edit* I think this specific issue was fixed in 679574e96589fb62c12c4614bf8a5c96c97c9fdf

User avatar
No.12463
vvv
Tester
Mar 21, 2016, 07:08
So, I have good news and bad news.

The good news is that I had observed the bug hap is describing (it was present even with DirectInput 7), and I cannot reproduce it in the newer build of mame (git revision 3afd99022), so it's probably fixed. The bad news is that my XBCD-driven joystick still does not work with DirectInput 8.
User avatar
No.12676
Quench
Developer
May 20, 2016, 17:10
I've just posted a fix (git: 7d7d36622304ebb9ff83c4541bd69a642a1d186f) which may resolve this. If you get the chance, try building the latest source with DirectInput8 (or wait for the next version release which is soon), and let us know.

Thanks.
User avatar
No.12751
vvv
Tester
Jun 9, 2016, 23:35
I've tested it. It works (without any makefile modification) in the 7d7d366, and does not work in parent revision. It also works in the released 174 binaries.

Thank you for fixing it!